export const truncateWallet: (
  wallet: string,
  preDigits: number,
  postDigits: number | undefined,
) => string = (wallet: string, preDigits: number, postDigits = preDigits) => {
  const [med, mtd] = [Math.max(preDigits, 3), Math.max(postDigits, 3)];
  return `${wallet.slice(0, med)}...${wallet.slice(-(mtd + 1), wallet.length)}`;
};
export const isNumber = (s: string) => /^[0-9]+$/.test(s);

export const sanitize = (s: string) => {
  const chars = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
    '"': '&quot;',
    '\'': '&#x27;',
    '/': '&#x2F;',
  } as { [key: string]: string };
  return s.replace(/[&<>"'/]/ig, (match) => chars[match]);
};
