import { createStore } from 'vuex';

export default createStore({
  state: {
    token: undefined as string | undefined,
    passwordChangeRequired: false,
  },
  getters: {
    token: (state) => state.token,
    passwordChangeRequired: (state) => state.passwordChangeRequired,
  },
  mutations: {
    setToken: (state, token) => {
      state.token = token;
    },
    clearToken: (state) => {
      state.token = undefined;
    },
    userNeedsToChangePassword: (state) => {
      state.passwordChangeRequired = true;
    },
    userHasChangedPassword: (state) => {
      state.passwordChangeRequired = false;
    },
  },
  actions: {
    setToken: (context) => {
      context.commit('setToken');
    },
    clearToken: (context) => {
      context.commit('clearToken');
    },
    userNeedsToChangePassword: (context) => {
      context.commit('userNeedsToChangePassword');
    },
    userHasChangedPassword: (context) => {
      context.commit('userHasChangedPassword');
    },
  },
  modules: {},
});
